## class Fl_Box

### Class Hierarchy

    Fl_Widget
       |
       +----Fl_Box

### Include Files

    #include <FL/Fl_Box.H>

### Description

This widget simply draws its box, and possibly it's label. Putting it before some other widgets and making it big enough to surround them will let you draw a frame around them.

### Methods

- Fl_Box
- ~Fl_Box

#### Fl_Box::Fl_Box(int x, int y, int w, int h, const char * = 0)
Fl_Box::Fl_Box(Fl_Boxtype b, int x, int y, int w, int h, const char *)

The first constructor sets `box()` to `FL_NO_BOX`, which means it is invisible. However such widgets are useful as placeholders or `Fl_Group::resizable()` values. To change the box to something visible, use `box(n)`.

The second form of the constructor sets the box to the specified box type.

#### Fl_Box::~Fl_Box(void)

The destructor removes the box.